//
// AppOptions.h - the AppOptions class
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_APPOPTIONS_h
#define vgui_APPOPTIONS_h

#include "vgui.h"

namespace vgui
{
	class AppOptions
	{
		public:
			AppOptions();

		public:
			//
			// Generic options...
			//

			// App is an accessory
			bool	m_bAccessory;

			// *IF* app is an accessory, should the main window be visible at
			// startup?
			bool	m_bShowWindowOnAppStart;

			//
			// Win32 options...
			//
			bool	m_Win32_bInitCommonControls;
			bool	m_Win32_bUseCOM;
			bool	m_Win32_bRedrawAppWindowBackground;

			//
			// MacOS options...
			//
	};
};

#endif // !vgui_APPOPTIONS_h
