//
// ApplicationImp.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "ApplicationImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	ApplicationImp::ApplicationImp() : m_pApp(NULL)
	{
	}

	ApplicationImp::~ApplicationImp()
	{
	}

	void ApplicationImp::SetAppLink(Application *pApp)
	{
		// make sure we only do this once
		ASSERT(m_pApp == NULL);

		m_pApp = pApp;
	}
};


