//
// BrowseDialogImp.h - custom dialog for browsing for folders, printers, or computers.
//

#ifndef vgui_BrowseDialogImp_h
#define vgui_BrowseDialogImp_h

#include "BrowseDialog.h"

namespace vgui
{
	class BrowseDialogImp
	{
		public:
			virtual void Initialise(BrowseDialogFlags Flags,
									const Window* pParent = NULL) = 0;

			virtual bool BrowseForFolder(const vos::String& Title, 
										 const String& StatusText,
										 vos::FileSpec* pResult) = 0;
	};

};

#endif // !vgui_BrowseDialogImp_h
