//
// CheckBoxImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_CheckBoxImp_h
#define vgui_CheckBoxImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

#include "CheckBox.h"

#include "Controls.h"

namespace vgui
{
	class CheckBoxImp : public WindowImp_OS
	{
		public:
			virtual ControlState GetState() = 0;
			virtual void SetState(ControlState NewState) = 0;

			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID) = 0;
	};
};

#endif // !vgui_CheckBoxImp_h
