//
// ControlID.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ControlID_h
#define vgui_ControlID_h

#include "vgui.h"

#include <vector>

namespace vgui
{
	// IDs of controls in dialogs etc.
	typedef int ControlID;

	//
	// Generic control ID - indicates the control ID is not important/undefined
	//
	enum { NOCTL = -1 };

	typedef std::vector<ControlID> ControlIDs;
};

#endif // !vgui_ControlID_h


