//
// DialogControlImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DialogControlImp_h
#define vgui_DialogControlImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

#include "DialogControl.h"

namespace vgui
{
	class DialogControlImp : public WindowImp_OS
	{
		public:
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID,
								bool bTabStop) = 0;
	};
};

#endif // !vgui_DialogControlImp_h
