//
// DocAppWindow.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "DocAppWindow.h"

#include "DocumentApplication.h"

namespace vgui
{
	DocAppWindow::DocAppWindow(DocumentApplication* pApp) : m_pApp(pApp)
	{
		// TCILB
	}

	bool DocAppWindow::OnClose()
	{
		// Defer to application to see if it will allow the main window to close.
		return m_pApp->OnClose();
	}
};
