//
// ImageButtonImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ImageButtonImp_h
#define vgui_ImageButtonImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

#include "ImageButton.h"

namespace vgui
{
	class ImageButtonImp : public WindowImp_OS
	{
		public:
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID) = 0;

			virtual void SetImage(TImageButton Type) = 0;

			virtual bool GetState() = 0;
	};
};

#endif // !vgui_ImageButtonImp_h
