//
// ProgressBarImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ProgressBarImp_h
#define vgui_ProgressBarImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

#include "CheckBox.h"

namespace vgui
{
	class ProgressBarImp : public WindowImp_OS
	{
		public:
			virtual void SetRange(int Start, int End) = 0;
			virtual void SetPosition(int Position) = 0;

			// Dynamic creation of progress bar controls
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID) = 0;
	};
};

#endif // !vgui_ProgressBarImp_h
