//
// RawOSMessage.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_RawOSMessage_h
#define vgui_RawOSMessage_h

#include "vgui.h"

namespace vgui
{
#if VGUI_MSWINDOWS
	class RawOSMessage
	{
		public:
			//
			// Standard data for MS-Windows message.
			//
			HWND m_hWnd;		// Handle of destination window
			UINT m_nMsg;		// Message to send
			WPARAM m_wParam;	// Standard Windows wParam
			LPARAM m_lParam;	// Standard Windows lParam
	};
#endif
};

#endif // !vgui_RawOSMessage_h
