//
// WindowImp.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "WindowImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	WindowImp::WindowImp() : m_pWindow(NULL)
	{
		// TCILB
	}

	void WindowImp::SetWindowLink(Window *pWindow)
	{
		// make sure we only do this once
		ASSERT(m_pWindow == NULL);

		m_pWindow = pWindow;
	}
	
	Window* WindowImp::GetWindowLink()
	{
		return m_pWindow;
	}
};
