//
// Win32_RadioButtonImp.h - Window Implementation Interface
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_RadioButtonImp_h
#define vgui_Win32_RadioButtonImp_h

#include "..\vgui.h"

#include "..\RadioButtonImp.h"

namespace vgui
{
	class Win32_RadioButtonImp : public RadioButtonImp
	{
		public:
			//
			// Constructor
			//
			Win32_RadioButtonImp() {}

			// We veto attachments to make sure they're the right
			// type of control.
			virtual void Attach(HWND hWnd);

		public:
			virtual ControlState GetState();
			virtual void SetState(ControlState NewState);
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								bool bAutoState,
								ControlID ID);
	};
};

#endif // !vgui_Win32_RadioButtonImp_h


