//
// AppWindow.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_AppWindow_h
#define vgui_AppWindow_h

#include "vGui.h"

#include "String.h"
#include "ResourceID.h"

namespace vgui
{
	class AppWindow : public Window
	{
		public:
			//
			// Constructor
			//

			AppWindow();

			//
			// Message handling
			//

			virtual 
	};
	class AppWindowSingle : public Window
	{
		public:

			//
			// Constructor
			//

			AppWindow();

			//
			// Window creation
			//
			bool Create(ResourceID resWindowTitle);
			bool Create(String strWindowTitle);

			//
			// Message handling
			//
	};

	class AppWindowMulti : public Window
	{
		public:

			//
			// Constructor
			//

			AppWindow();

			//
			// Window creation
			//
			bool Create(ResourceID resWindowTitle);
			bool Create(String strWindowTitle);
	};
};

#endif // !vgui_AppWindow_h


