//
// Assert.h - vGUI asserts
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vGUI_Assert_h
#define vGUI_Assert_h

#include "vos\Assert.h"

namespace vgui
{
#ifdef _DEBUG
	// Complain in debug builds
	#define vguiERROR() ASSERT(false)
#else
	// Ignore in release builds
	#define vguiERROR()
#endif
};

#endif // !vGUI_Assert_h
