//
// ButtonImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_ButtonImp_h
#define vgui_ButtonImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

#include "Button.h"

namespace vgui
{
	class ButtonImp : public WindowImp_OS
	{
		public:
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID) = 0;

			virtual bool GetState() = 0;
	};
};

#endif // !vgui_ButtonImp_h
