//
// Controls.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Controls_h
#define vgui_Controls_h

#include "Window.h"
#include "String.h"

namespace vgui
{
	// Type for state of checkbox/radiobox etc.
	typedef enum
	{
		cs_Unchecked,
		cs_Checked,
		cs_Undefined
	}
	ControlState;

	// Type for state of buttons
	typedef enum
	{
		bs_Normal,
		bs_Pressed
	}
	ButtonState;

	// Controls behaviour of edit boxes when adding/replacing text
	typedef enum
	{
		eb_Normal,
		eb_SetFocus
	}
	EditBoxBehaviour;
};

#endif // !vgui_CheckBox_h

