//
// DocAppWindow.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_DocAppWindow_h
#define vgui_DocAppWindow_h

#include "vgui.h"

#include "Window.h"

namespace vgui
{
	class DocumentApplication;

	class DocAppWindow : public Window
	{
		public:
			DocAppWindow(DocumentApplication* pApp);

		public:
			// We may veto application exit if unsaved documents exist.
			virtual bool OnClose();

		private:
			DocumentApplication* m_pApp;
	};
};

#endif // !vgui_DocAppWindow_h
