//
// EditBoxImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_EditBoxImp_h
#define vgui_EditBoxImp_h

#include "vgui.h"

#include "WindowImp_OS.h"

namespace vgui
{
	class EditBoxImp : public WindowImp_OS
	{
		public:
			virtual bool Create(Window* pParent, const Rect& Position, ControlID ID) = 0;

			virtual void AppendText(const String& Text) = 0;
			virtual void InsertTextAtCursor(const String& Text,
											EditBoxBehaviour Behaviour = eb_Normal) = 0;
	};
};

#endif // !vgui_EditBoxImp_h
