//
// FileDialogParams.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "FileDialogParams.h"

namespace vgui
{
	FileDialogParams::FileDialogParams() : m_Flags(0)
	{
#if VGUI_MSWINDOWS
		// We use 1 to select the first filter supplied by caller.
		// Note that this will be updated by GetFilename() according to
		// choices made by user.
		m_nFilterIndex = 1;
#endif
	}
}

