//
// GCImp_OS.h - platform dependent translation
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_GCImp_OS_h
#define vgui_GCImp_OS_h

#if defined VGUI_MSWINDOWS

#include "Win32\Win32_GCImp.h"

#define GCImp_OS Win32_GCImp

#else if defined VGUI_MACOS

#include ":MacOS:MacOS_GCImp.h"

#define GCImp_OS MacOS_GCImp

#endif

#endif // !vgui_GCImp_OS_h
