//
// GCState.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "GCState.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vgui
{
	GCState::GCState() : m_StrokeStyle(GC::ss_SOLID),
						 m_StrokeWidth(1),
						 m_FillStyle(GC::fs_SOLID),
						 m_FillColour(Colour(255,255,255)),
						 m_BgColour(Colour(255,255,255)),
						 m_TextColour(Colour(0,0,0)),
						 m_BgMode(GC::bg_Transparent),
						 m_pFont(NULL)
	{
	}
};
