//
// OwnerDrawListBox.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_OwnerDrawListBox_h
#define vgui_OwnerDrawListBox_h

#include "OwnerDrawListControl.h"
#include "ListBox.h"

namespace vgui
{
	class OwnerDrawListBox : public ListBox,
							 public OwnerDrawListControl
	{
		public:
			// Constructor
			OwnerDrawListBox();

			// OwnerDrawListControl interface.
			virtual bool OnMeasureItem(int iItem, 
									   UserData TheUserData, 
									   uint* pItemHeight);

			virtual bool OnDrawItem(GC* pGC, 
									int iItem,
									UserData TheUserData,
									const Rect& rcItem,
									int OwnerDrawItemState);
	};
}

#endif // !vgui_OwnerDrawListControl_h
