//
// RedrawGCImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_RedrawGCImp_h
#define vgui_RedrawGCImp_h

#include "vgui.h"

#include "RedrawGC.h"

#include "GCImp_OS.h"

namespace vgui
{
	class Window;

	class RedrawGCImp : public GCImp_OS
	{
		public:
			virtual void StartRedraw(const Window *pWindow) = 0;
			virtual void EndRedraw() = 0;
	};
};

#endif // !vgui_RedrawGCImp_h
