//
// WindowImp_OS.h - platform dependent translation
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_WindowImp_OS_h
#define vgui_WindowImp_OS_h

#if defined VGUI_MSWINDOWS

#include "Win32\Win32_WindowImp.h"

#define WindowImp_OS Win32_WindowImp

#define OS_Imp(ClassName) Win32_##ClassName##Imp

#define OS_ImageButtonImp_h "Win32\Win32_ImageButtonImp.h"

#else if defined VGUI_MACOS

#include ":MacOS:MacOS_WindowImp.h"

#define WindowImp_OS MacOS_WindowImp

#endif

#endif // !vgui_WindowImp_OS_h
