//
// Win32_DialogControlImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_DialogControlImp_h
#define vgui_Win32_DialogControlImp_h

#include "..\vgui.h"

#include "..\DialogControlImp.h"

namespace vgui
{
	class Win32_DialogControlImp : public DialogControlImp
	{
		public:
			//
			// Constructor
			//
			Win32_DialogControlImp() {}

			// We handle control attachments directly.
			virtual void Attach(HWND hWnd);
			virtual void Attach(Window *pParent, ControlID ID);

		public:
			virtual bool Create(Window* pParent, 
								const Rect& Position,
								ControlID ID,
								bool bTabStop);

		private:
			DWORD ConvertWindowStyle(TWindowStyle Style);
	};
};

#endif // !vgui_Win32_DialogControlImp_h


