//
// Win32_RedrawGCImp.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vgui_Win32_RedrawGCImp_h
#define vgui_Win32_RedrawGCImp_h

#include "..\RedrawGCImp.h"

#include "Win32_Headers.h"

namespace vgui
{
	class Win32_RedrawGCImp : public RedrawGCImp
	{
		public:
			virtual void StartRedraw(const Window *pWindow);
			virtual void EndRedraw();

			virtual void GetClipRect(Rect* pClipRect);

		private:
			PAINTSTRUCT m_ps;
	};
};

#endif // !vgui_Win32_RedrawGCImp_h
